import {
  service
} from "./request";

export function getBalance(params) {
  return service({
    url: `/wallet/account/getAllAssetValuation`,
    method: 'post',
    data: params
  })
}


export function transactionsList(params) {
  return service({
    url: `/wallet/account/listDetail`,
    method: 'post',
    data: params
  })
}

export function getWithdrawConfig(params) {
  return service({
    url: `/wallet/withdraw/getConfig`,
    method: 'post',
    data: params
  })
}


export function withdrawRequest(params) {
  return service({
    url: `/wallet/withdraw/request`,
    method: 'post',
    data: params
  })
}

export function getMineLuckdropRecords(params) {
  return service({
    url: `/post/luckdrop/getMineLuckdropRecords`,
    method: 'post',
    data: params
  })
}

export function getFrontConfig(params) {
  return service({
    url: `/base/config/getFrontConfig`,
    method: 'post',
    data: params
  })
}